CustomActionDialog Class Reference

`#include <CustomActionDialog.h>`

Inheritance diagram for CustomActionDialog:

## Public Member Functions

| CustomActionDialog (QWidget *parent, Qt::WFlags fl=0)
| Constructor. More...

## Private Slots

QAction * | addAction ()
void | addMenu ()
void | chooseFile ()
void | chooseFolder ()
void | chooseIcon ()
void | enableDeleteMenuBtn (const QString &)
void | removeAction ()
void | removeMenu ()
void | saveCurrentAction ()
void | setCurrentAction (int)

## Private Member Functions

QAction * | actionAt (int row)
void | customizeAction (QAction *action)
void | init ()
void | saveAction (QAction *action)
void | saveMenu (QMenu *menu)
void | updateDisplayList ()
bool | validUserInput ()

## Private Attributes

QPushButton * | buttonAdd
QPushButton * | buttonCancel
QPushButton * | buttonRemove
QPushButton * | buttonSave
QStringList | d_app_shortcut_keys
QList< QToolBar * > | d_app_toolbars
QList< QMenu * > | d_menus
QLineEdit * | fileBox
QPushButton * | fileBtn
QLineEdit * | folderBox
QPushButton * | folderBtn
QLineEdit * | iconBox
QPushButton * | iconBtn
QListWidget * | itemsList
QComboBox * | menuBox
QRadioButton * | menuBtn
QPushButton * | newMenuBtn
QPushButton * | removeMenuBtn
QLineEdit * | shortcutBox
QLineEdit * | textBox
QComboBox * | toolBarBox
QRadioButton * | toolBarBtn
QLineEdit * | toolTipBox

## Constructor & Destructor Documentation

CustomActionDialog::CustomActionDialog | ( | QWidget * | parent,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget (must be the application window!=
  fl | window flags

References addAction(), addMenu(), buttonAdd, buttonCancel, buttonRemove, buttonSave, chooseFile(), chooseFolder(), chooseIcon(), enableDeleteMenuBtn(), fileBox, fileBtn, folderBox, folderBtn, iconBox, iconBtn, init(), itemsList, menuBox, menuBtn, newMenuBtn, removeAction(), removeMenu(), removeMenuBtn, saveCurrentAction(), setCurrentAction(), shortcutBox, textBox, toolBarBox, toolBarBtn, and toolTipBox.

## Member Function Documentation

QAction * CustomActionDialog::actionAt | ( | int | row | ) |

private

References ApplicationWindow::customActionsList().

Referenced by removeAction(), saveCurrentAction(), and setCurrentAction().

QAction * CustomActionDialog::addAction | ( |  | ) |

private slot

References ApplicationWindow::addCustomAction(), customizeAction(), ApplicationWindow::customMenusList(), d_app_toolbars, d_menus, itemsList, menuBox, saveAction(), toolBarBox, toolBarBtn, and validUserInput().

Referenced by CustomActionDialog().

void CustomActionDialog::addMenu | ( |  | ) |

private slot

References ApplicationWindow::addCustomMenu(), d_menus, menuBox, and saveMenu().

Referenced by CustomActionDialog().

void CustomActionDialog::chooseFile | ( |  | ) |

private slot

References fileBox, and ApplicationWindow::getFileName().

Referenced by CustomActionDialog().

void CustomActionDialog::chooseFolder | ( |  | ) |

private slot

References ApplicationWindow::customActionsDirPath, ApplicationWindow::customActionsList(), folderBox, ApplicationWindow::loadCustomActions(), ApplicationWindow::removeCustomAction(), and updateDisplayList().

Referenced by CustomActionDialog(), and validUserInput().

void CustomActionDialog::chooseIcon | ( |  | ) |

private slot

References ApplicationWindow::getFileName(), iconBox, and ApplicationWindow::imageFilter().

Referenced by CustomActionDialog().

void CustomActionDialog::customizeAction | ( | QAction * | action | ) |

private

References fileBox, iconBox, shortcutBox, textBox, and toolTipBox.

Referenced by addAction(), and saveCurrentAction().

void CustomActionDialog::enableDeleteMenuBtn | ( | const QString & | title | ) |

private slot

References d_menus, and removeMenuBtn.

Referenced by CustomActionDialog(), and init().

void CustomActionDialog::init | ( |  | ) |

private

References ApplicationWindow::customActionsDirPath, ApplicationWindow::customizableMenusList(), ApplicationWindow::customMenusList(), d_app_shortcut_keys, d_app_toolbars, d_menus, enableDeleteMenuBtn(), folderBox, menuBox, ApplicationWindow::menusList(), toolBarBox, ApplicationWindow::toolBarsList(), and updateDisplayList().

Referenced by CustomActionDialog().

void CustomActionDialog::removeAction | ( |  | ) |

private slot

References actionAt(), ApplicationWindow::customActionsDirPath, itemsList, ApplicationWindow::removeCustomAction(), and setCurrentAction().

Referenced by CustomActionDialog().

void CustomActionDialog::removeMenu | ( |  | ) |

private slot

References ApplicationWindow::customActionsDirPath, ApplicationWindow::customActionsList(), ApplicationWindow::customMenusList(), itemsList, menuBox, ApplicationWindow::removeCustomAction(), ApplicationWindow::removeCustomMenu(), and setCurrentAction().

Referenced by CustomActionDialog().

void CustomActionDialog::saveAction | ( | QAction * | action | ) |

private

References ApplicationWindow::customActionsDirPath.

Referenced by addAction(), and saveCurrentAction().

void CustomActionDialog::saveCurrentAction | ( |  | ) |

private slot

References actionAt(), ApplicationWindow::addCustomAction(), customizeAction(), ApplicationWindow::customMenusList(), d_app_toolbars, d_menus, itemsList, menuBox, menuBtn, ApplicationWindow::removeCustomAction(), saveAction(), toolBarBox, toolBarBtn, and updateDisplayList().

Referenced by CustomActionDialog().

void CustomActionDialog::saveMenu | ( | QMenu * | menu | ) |

private

References ApplicationWindow::customActionsDirPath.

Referenced by addMenu().

void CustomActionDialog::setCurrentAction | ( | int | row | ) |

private slot

References actionAt(), fileBox, iconBox, menuBox, menuBtn, shortcutBox, textBox, toolBarBox, toolBarBtn, and toolTipBox.

Referenced by CustomActionDialog(), removeAction(), removeMenu(), and updateDisplayList().

void CustomActionDialog::updateDisplayList | ( |  | ) |

private

References itemsList, and setCurrentAction().

Referenced by chooseFolder(), init(), and saveCurrentAction().

bool CustomActionDialog::validUserInput | ( |  | ) |

private

References chooseFolder(), ApplicationWindow::customActionsList(), d_app_shortcut_keys, fileBox, folderBox, iconBox, shortcutBox, and textBox.

Referenced by addAction().

## Member Data Documentation

QPushButton * CustomActionDialog::buttonAdd

private

Referenced by CustomActionDialog().

QPushButton* CustomActionDialog::buttonCancel

private

Referenced by CustomActionDialog().

QPushButton * CustomActionDialog::buttonRemove

private

Referenced by CustomActionDialog().

QPushButton * CustomActionDialog::buttonSave

private

Referenced by CustomActionDialog().

QStringList CustomActionDialog::d_app_shortcut_keys

private

Referenced by init(), and validUserInput().

QList<QToolBar *> CustomActionDialog::d_app_toolbars

private

Referenced by addAction(), init(), and saveCurrentAction().

QList<QMenu *> CustomActionDialog::d_menus

private

Referenced by addAction(), addMenu(), enableDeleteMenuBtn(), init(), and saveCurrentAction().

QLineEdit * CustomActionDialog::fileBox

private

Referenced by chooseFile(), CustomActionDialog(), customizeAction(), setCurrentAction(), and validUserInput().

QPushButton * CustomActionDialog::fileBtn

private

Referenced by CustomActionDialog().

QLineEdit* CustomActionDialog::folderBox

private

Referenced by chooseFolder(), CustomActionDialog(), init(), and validUserInput().

QPushButton* CustomActionDialog::folderBtn

private

Referenced by CustomActionDialog().

QLineEdit * CustomActionDialog::iconBox

private

Referenced by chooseIcon(), CustomActionDialog(), customizeAction(), setCurrentAction(), and validUserInput().

QPushButton * CustomActionDialog::iconBtn

private

Referenced by CustomActionDialog().

QListWidget* CustomActionDialog::itemsList

private

Referenced by addAction(), CustomActionDialog(), removeAction(), removeMenu(), saveCurrentAction(), and updateDisplayList().

QComboBox* CustomActionDialog::menuBox

private

Referenced by addAction(), addMenu(), CustomActionDialog(), init(), removeMenu(), saveCurrentAction(), and setCurrentAction().

QRadioButton* CustomActionDialog::menuBtn

private

Referenced by CustomActionDialog(), saveCurrentAction(), and setCurrentAction().

QPushButton* CustomActionDialog::newMenuBtn

private

Referenced by CustomActionDialog().

QPushButton * CustomActionDialog::removeMenuBtn

private

Referenced by CustomActionDialog(), and enableDeleteMenuBtn().

QLineEdit * CustomActionDialog::shortcutBox

private

Referenced by CustomActionDialog(), customizeAction(), setCurrentAction(), and validUserInput().

QLineEdit * CustomActionDialog::textBox

private

Referenced by CustomActionDialog(), customizeAction(), setCurrentAction(), and validUserInput().

QComboBox * CustomActionDialog::toolBarBox

private

Referenced by addAction(), CustomActionDialog(), init(), saveCurrentAction(), and setCurrentAction().

QRadioButton * CustomActionDialog::toolBarBtn

private

Referenced by addAction(), CustomActionDialog(), saveCurrentAction(), and setCurrentAction().

QLineEdit * CustomActionDialog::toolTipBox

private

Referenced by CustomActionDialog(), customizeAction(), and setCurrentAction().

The documentation for this class was generated from the following files:

- qtiplot/src/core/CustomActionDialog.h
- qtiplot/src/core/CustomActionDialog.cpp